%define ver_major 0.3

Name: libepc
Version: %ver_major.8
Release: alt1.1
Summary: Easy Publish and Consume library

Group: System/Libraries
License: LGPLv2+
URL: http://live.gnome.org/libepc
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

%define avahi_ver 0.6
%define soup_ver 2.3
%define gtk2_ver 2.10
%define glib2_ver 2.15.1
%define gnutls_ver 1.4
%define uuid_ver 1.36

BuildPreReq: rpm-build-gnome gnome-common
BuildPreReq: libavahi-ui-devel >= %avahi_ver
BuildPreReq: libavahi-devel >= %avahi_ver
BuildPreReq: libavahi-glib-devel >= %avahi_ver
BuildPreReq: glib2-devel >= %glib2_ver
BuildPreReq: libgnutls-devel >= %gnutls_ver
BuildPreReq: libuuid-devel >= %uuid_ver
BuildPreReq: libgtk+2-devel >= %gtk2_ver
BuildPreReq: libsoup-devel >= %soup_ver
BuildPreReq: libgio-devel >= %glib2_ver

BuildRequires: intltool gtk-doc

%description
A library to easily publish and consume values on networks

%package ui
Summary: Widgets for %name
Group: System/Libraries

%description ui
The %name-ui package contains widget for use with %name.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release
Requires: %name-ui = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package devel-doc
Summary: Development documentation for %name
Group: Development/GNOME and GTK+
Conflicts: %name < %version-%release
BuildArch: noarch

%description devel-doc
This package provides development documentation for %name.

%prep
%setup -q

%build
%configure --enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Package fails to compile using smp_mflags
%make

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%files -f %name.lang
%doc AUTHORS COPYING NEWS README
%_libdir/%name-1.0.so.*

%files ui
%_libdir/%name-ui-1.0.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%files devel-doc
%_datadir/gtk-doc/html/*

%changelog
* Wed Jan 07 2009 Alexey Shabalin <shaba@altlinux.ru> 0.3.8-alt1.1
- rebuild with gnutls-2.6
- removed obsolete *ldconfig from %%post{,un}

* Wed Oct 29 2008 Alexey Shabalin <shaba@altlinux.ru> 0.3.8-alt1
- initial build for ALTLinux

